try {
	//utils
	Titanium.include('fileBase.js');
	Titanium.include('config/templateProperties.js');
	Titanium.include('config/greendot/merchantSettings.js');
	Titanium.include('util/common.js');
	Titanium.include('util/network.js');
	Titanium.include('languages/English.js');
	Titanium.include('util/aes.js');
	Titanium.include('util/cryptoHelper.js');
	Titanium.include('util/jsHash.js');
	Titanium.include('util/uuid.js');
	Titanium.include('util/jssha.js');
	
	//view
	Titanium.include('ui/uiBaseHubScreen.js');
	Titanium.include('ui/uiFindLocationCallCareMenuFooter.js');
	Titanium.include('ui/uiHeader.js');
	Titanium.include('ui/uiLoginScreen.js');
	Titanium.include('ui/uiErrorScreen.js');
	Titanium.include('ui/uiSecurityQuestionsScreen.js');
	Titanium.include('ui/uiTermsScreen.js');
	Titanium.include('ui/uiAccountBalanceScreen.js');
	Titanium.include('ui/uiHomeBackHeader.js');
	Titanium.include('ui/uiAddMoneyScreen.js');
	Titanium.include('ui/uiWaiveChargeScreen.js');
	Titanium.include('ui/uiTransactionScreen.js');
	Titanium.include('ui/uiReloadorATMLocationScreen.js');
		
	//controls
	Titanium.include('controls/blBaseHubScreen.js');
	Titanium.include('controls/blLogin.js');
	Titanium.include('controls/blErrorScreen.js');
	Titanium.include('controls/blTermsScreen.js');
	Titanium.include('controls/blBalanceHubScreen.js');
	Titanium.include('controls/blAddMoneyScreen.js');
	Titanium.include('controls/blReloadorATMScreen.js');
	Titanium.include('controls/blFindLocationCallCareMenuFooter.js');
	Titanium.include('controls/blTransactionScreen.js');
	Titanium.include('controls/blSecurityQuestionsScreen.js');
	Titanium.include('controls/blWaiveChargeScreen.js');
	
	//Titanium.include('config/termsAndConditionsText.js');
	
	if (msDebug) {
		Titanium.include('config/debug.js');
	}
	
	Titanium.UI.setBackgroundColor('#000');
	Titanium.UI.orientation = Titanium.UI.PORTRAIT;
	var isLoggedIn = false;
	var boolTermsAccepted = Titanium.App.Properties.getString("TermsAccepted");
	
	//added a global app event for startup stuff
	//this will only happens once
	Titanium.App.addEventListener('startup', function(e) {	
		    
		//runPreSignOn();
	});
	
	
	Titanium.App.fireEvent('startup', {});
	
	msUserTimeoutObj = mySetTimeout("logout()", msUserTimeout);
	

	// Check if user set their username to be saved:
	var strRememberMe = Titanium.App.Properties.getString("RememberMe");
	if (strRememberMe != null && strRememberMe != '') {
		txtUserId.clearOnEdit = false;
		txtUserId.value = strRememberMe;
		swchRemember.value = true;
	} else {
		swchRemember.value = false;
	}
	
	// Check if terms and conditions have been accepted yet (app wide)
	boolTermsAccepted = Titanium.App.Properties.getString("TermsAccepted");
	
	// Before we open up the hub, make sure all the views are hidden:
	for (var key in windowsMap) {
  		if (windowsMap.hasOwnProperty(key)) {
    		windowsMap[key].hide();
			windowsMap[key].visible = false;
		}
	}
	
	winHub.open({modal:false, exitOnClose:true});
	
	if (Ti.Platform.osname == 'android'){
		Ti.Android.currentActivity.addEventListener('pause', function(e){
			//Ti.API.info("Application recieved 'pause', shutting down...");
			winHub.close();
			activity = Titanium.Android.currentActivity;
			activity.finish();	
		});
	}
	
	if (boolTermsAccepted == "true") {
		redirect("loginScreen", null, null);
	}
	else 
	{
		redirect("termsScreen", null, null);
	}
	
	
} catch (e){
	alert(e);	
}
