/**
 * @author ryucha
 * Add money Screen
 */

var winAddMoney = Titanium.UI.createView({});
windowsMap.addMoneyScreen = winAddMoney;
winHub.add(winAddMoney);
//header
 var viewAddMoneyPlainHeader = Titanium.UI.createView({
	top:0,
	height:'70',
	backgroundColor: 'transparent',
	backgroundImage:'images/plainHeader.png',
	opacity:1.0,	
	align:'center'
});
var btnBackButtonA = Titanium.UI.createButton({
	top:5,
	left:10,
	width:42,
	height:30,
	backgroundImage:'images/btnBack.png',
	backgroundSelectedImage: 'images/btnDownBack.png'
	
});

var btnHomeButtonA = Titanium.UI.createButton({
	top:5,
	right:10,
	width:36,
	height:30,
	backgroundImage:'images/btnHome.png',
	backgroundSelectedImage: 'images/btnDownHome.png'
});

var lblAddMoneyTitle = Titanium.UI.createLabel({
	height:30,
	top:10,
	text:addMoneyTitleText,
	font:{fontSize:18, fontFamily:fontName},
	color:'white',
	textAlign:'center'
});
viewAddMoneyPlainHeader.add(btnHomeButtonA);
viewAddMoneyPlainHeader.add(btnBackButtonA);
viewAddMoneyPlainHeader.add(lblAddMoneyTitle);
//shows up all the time
var viewGrayBalance = Titanium.UI.createView({
	top:55,
	width:296,
	height:75,
 	backgroundImage:'images/bgGrey.png'
});
var lblAccountBalanceSmall = Titanium.UI.createLabel({
	text:balanceText,
	color:'#000',
	font:{fontSize:14, fontFamily:fontName},
	bottom:5,
	left:10,
	height:60,
	width:75
});
if(Ti.Platform.name == 'iPhone OS') {
	var lblAccountBalanceAmt2 = Titanium.UI.createLabel({
	font:{fontSize:28, fontFamily:fontName, fontWeight:'bold'},
	color:'#000',
	bottom:15,
	left:100,
	height:35,
	width:175
});
} else if (Ti.Platform.name == 'android') {
	var lblAccountBalanceAmt2 = Titanium.UI.createLabel({
	font:{fontSize:34, fontFamily:fontName, fontWeight:'bold'},
	color:'#000',
	bottom:15,
	left:100,
	height:45,
	width:175
});
}


var viewEnterMoneyPak = Titanium.UI.createView({
	top:120
});

var viewConfirmAdd = Titanium.UI.createView({
	top:140,
	width:290
});

var viewCongratsAdd = Titanium.UI.createView({
	top:140
});
// objects in Enter Money pak view
if(Ti.Platform.name == 'android') {
	var txtMoneyPak = Titanium.UI.createTextField({
	hintText: moneyPakText,
	font:{fontSize:18, fontFamily:fontName},
	height:40,
	width:220,
	top:20,
	keyboardType:Titanium.UI.KEYBOARD_NUMBER_PAD
});
} else if (Ti.Platform.name == 'iPhone OS') {
	var txtMoneyPak = Titanium.UI.createTextField({
		color:'#3E3E3E',
		//borderColor:'#777777',
		//border:1,
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
		hintText: moneyPakText,
		font:{fontSize:18, fontFamily:fontName},
		height:40,
		width:220,
		top:20,
		keyboardType:Titanium.UI.KEYBOARD_NUMBER_PAD
	});
}


var btnPlusMoney = Titanium.UI.createButton({
	width:112,
	height:42,
	top:75,
	title: submitText,
	color:'#fff',
	backgroundImage:'images/btnOrange.png',
	backgroundSelectedImage: 'images/btnDownOrange.png',
	backgroundColor:'transparent',
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName}
});

var viewInstructions = Titanium.UI.createView({
	top:120,
	left:15,
	textAlign:'center'
});

var lblHowToReload = Titanium.UI.createLabel({
	top:0,
	left:0,
	text: howToReloadText,
	textAlign:'left',
	color:'#000',
	width:200,
	height:30,
	font:{fontSize:14, fontFamily:fontName, fontWeight:'bold'}
});

var lblFirstInstruction = Titanium.UI.createLabel({
	top:30,
	left:10,
	text: firstText,
	color:'#000',
	textAlign:'left',
	width:200,
	height:30,
	font:{fontSize:14, fontFamily:fontName}
});

var lblWhere= Titanium.UI.createLabel({
	top:30,
	left:160,
	text: '('+whereText+')',
	textAlign:'left',
	width:60,
	height:30,
	color:'#F04724',
	font:{fontSize:14, fontFamily:fontName}
});
var lblSecondInstruction = Titanium.UI.createLabel({
	top:60,
	left:10,
	text: secondText,
	color:'#000',
	textAlign:'left',
	width:250,
	height:50,
	font:{fontSize:14, fontFamily:fontName}
});
var lblThirdInstruction = Titanium.UI.createLabel({
	top:110,
	left:10,
	text: thirdText,
	color:'#000',
	textAlign:'left',
	width:200,
	height:30,
	font:{fontSize:14, fontFamily:fontName}
});

viewInstructions.add(lblHowToReload);
viewInstructions.add(lblFirstInstruction);
viewInstructions.add(lblWhere);
viewInstructions.add(lblSecondInstruction);
viewInstructions.add(lblThirdInstruction);

// objects in Confirmation view
var lblAdd = Titanium.UI.createLabel({
	text: addText,
	top:0,
	textAlign:'center',
	color:'#000',
	height:20,
	width:35,
	left:15,
	font:{fontSize:16, fontFamily:fontName}
});
var lblConfirmAmt = Titanium.UI.createLabel({
	text: '$20.00',
	top:0,
	textAlign:'center',
	color:'#000',
	height:20,
	width:60,
	left:45,
	font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'}
});
var lblConfirmationInfo1 = Titanium.UI.createLabel({
	text: confirmAddText,
	top:0,
	textAlign:'center',
	color:'#000',
	height:20,
	width:150,
	left:105,
	font:{fontSize:16, fontFamily:fontName}
});
var lblConfirmationInfo2 = Titanium.UI.createLabel({
	text: confirmAddText2,
	top:25,
	textAlign:'center',
	color:'#000',
	height:20,
	width:110,
	left:55,
	font:{fontSize:16, fontFamily:fontName}
});
var lblConfirmAcct = Titanium.UI.createLabel({
	text: '1234.',
	top:25,
	textAlign:'center',
	color:'#000',
	height:20,
	width:45,
	left:165,
	font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'}
});

var lblisCorrect = Titanium.UI.createLabel({
	text: isCorrectText,
	top:50,
	textAlign:'center',
	height:35,
	color:'#000',
	font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'}
	
});

var btnCancel = Titanium.UI.createButton({
	title: cancelText,
	backgroundImage:'images/btnGray.png',
	backgroundSelectedImage: 'images/btnDownGray.png',
	color:'black',
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	top:100,
	left:30,
	width:90,
	height:35
});

var btnYes = Titanium.UI.createButton({
	title: yesText,
	backgroundImage:'images/btnOrange.png',
	backgroundSelectedImage: 'images/btnDownOrange.png',
	color:'white',
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	top:100,
	right:30,
	width:75,
	height:35
});

//objects in the congrats view
var lblCongrats = Titanium.UI.createLabel({
	text: congratsText,
	color:'#000',
	top:0,
	textAlign:'center',
	height:35,
	font:{fontWeight:'bold', fontSize:18, fontFamily:fontName}
});
var lblAmountAdded = Titanium.UI.createLabel({
	text: '$$$$$$$$$$',
	top:30,
	width:75,
	left:20,
	color:'#000',
	height:35,
	font:{fontSize:16, fontFamily:fontName}
});
var lblMoneyAdded = Titanium.UI.createLabel({
	text: moneyAddedText,
	top:30,
	left: 80,
	color:'#000',
	height:35,
	font:{fontSize:16, fontFamily:fontName}
	
});
if (Titanium.Platform.name == 'iPhone OS') {
	var lblAddMoneyNote = Titanium.UI.createLabel({
		text: note15AddMoneyText,
		height:80,
		width:'auto',
		color:'000',
		font:{fontSize:12, fontStyle:'italic'},
		top:65,
		right:25,
		textAlign:'center'
	});
} else if (Titanium.Platform.name =='android') {
	var lblAddMoneyNote = Titanium.UI.createLabel({
		height:80,
		width:'auto',
		color:'000',
		font:{fontSize:12, fontStyle:'italic'},
		top:65,
		right:25,
		html: '<html><body><i><font color="#000000"> ' + note15AddMoneyText + '</font></i></body></html>',
		textAlign:'center'
	});
}
var btnOK = Titanium.UI.createButton({
	title: okText,
	backgroundImage:'images/btnOrange.png',
	backgroundSelectedImage: 'images/btnDownOrange.png',
	color:'white',
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	top:130,
	width:75,
	height:35
});

if (Titanium.Platform.name == 'Android'){
	txtMoneyPak.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_SHOW_ON_FOCUS;
	viewEnterMoneyPak.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS;
	viewPlainHeader.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS;
}
viewGrayBalance.add(lblAccountBalanceSmall);
viewGrayBalance.add(lblAccountBalanceAmt2);

winAddMoney.add(viewGrayBalance);
winAddMoney.add(viewAddMoneyPlainHeader);

//add objects onto Enter Money Pak view
viewEnterMoneyPak.add(txtMoneyPak);
viewEnterMoneyPak.add(btnPlusMoney);
viewEnterMoneyPak.add(viewInstructions);

//add objects onto Confirmation view
viewConfirmAdd.add(lblAdd);
viewConfirmAdd.add(lblConfirmAmt);
viewConfirmAdd.add(lblConfirmationInfo1);
viewConfirmAdd.add(lblConfirmationInfo2);
viewConfirmAdd.add(lblConfirmAcct);
viewConfirmAdd.add(lblisCorrect);
viewConfirmAdd.add(btnCancel);
viewConfirmAdd.add(btnYes);

//add objects onto Congratulations view

viewCongratsAdd.add(btnOK);
viewCongratsAdd.add(lblAddMoneyNote);
viewCongratsAdd.add(lblCongrats);
viewCongratsAdd.add(lblAmountAdded);
viewCongratsAdd.add(lblMoneyAdded);


//add views to window
winAddMoney.add(viewEnterMoneyPak);
winAddMoney.add(viewConfirmAdd);
winAddMoney.add(viewCongratsAdd);
