/**
 * @author ryucha
 * UI error screen that contains Error messages
 */
 var winErrorScreen = Titanium.UI.createView({});
 windowsMap.errorScreen = winErrorScreen;
 winHub.add(winErrorScreen);
 
 var viewNoAccount = Titanium.UI.createView({
 	background: mainBackgroundColor,
	top:100,
	height:230,
	width: platformWidth * 0.8	
 });
 
 var lblNoAccount = Titanium.UI.createLabel({
 	text: "You must update this application before you can continue!",
	color:'#000',
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	top:10,
	height:125,
	textAlign:'center'
 });
 
 var lblWebAddress = Titanium.UI.createLabel({
 	text: webAddressText,
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	top:130,
	color:'#000',
	textAlign:'center'
 });
 
 var viewBadSecurityAnswer = Titanium.UI.createView({
 	background: mainBackgroundColor,
	top:100,
	height:230,
	width: platformWidth * 0.8	
 });
 
 var lblBadSecurityAnswer = Titanium.UI.createLabel({
 	text: badSecurityAnswer,
	color:'#000',
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	top:10,
	height:125,
	textAlign:'center'
 });

 var viewAccountLocked = Titanium.UI.createView({
 	background: mainBackgroundColor,
	top:100,
	height:230	
 });
 
 var lblAccountLocked = Titanium.UI.createLabel({
 	text: accountLockedError,
	color:'#000',
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	top:10,
	height:125,
	textAlign:'center'
 });
 
 var lblCustomerCare = Titanium.UI.createLabel({
 	text: custCareText,
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	top:130,
	color:'#000',
	textAlign:'center'
 });
 
var btnOKError = Titanium.UI.createButton({
	title: okText,
	backgroundImage:'images/btnOrange.png',
	color:'white',
	font:{fontSize:18, fontWeight:'bold', fontFamily:fontName},
	bottom:50,
	width:75,
	height:35
});
 
 viewNoAccount.add(lblNoAccount);
 viewNoAccount.add(lblWebAddress);
 
 viewBadSecurityAnswer.add(lblBadSecurityAnswer);

 viewAccountLocked.add(lblAccountLocked);
 viewAccountLocked.add(lblCustomerCare);
 
 winErrorScreen.add(viewHeaderGD);
 //winErrorScreen.add(viewNoAccount);
 //winErrorScreen.add(btnOKError);
