/**
 * @author ryucha
 * Find a Reload Location Screen
 */
//----
// window for Reload screen
//----
var winReloadLocation = Titanium.UI.createView({});
windowsMap.reloadATMScreen = winReloadLocation;
winHub.add(winReloadLocation);
//header
var viewLocationsPlainHeader = Titanium.UI.createView({
	top:0,
	height:'70',
	backgroundColor: 'transparent',
	backgroundImage:'images/plainHeader.png',
	opacity:1.0,	
	align:'center'
});
var viewATMPlainHeader = Titanium.UI.createView({
	top:0,
	height:'70',
	backgroundColor: 'transparent',
	backgroundImage:'images/plainHeader.png',
	opacity:1.0,	
	align:'center'
});
var btnBackButtonATM = Titanium.UI.createButton({
	top:5,
	left:10,
	width:42,
	height:30,
	backgroundImage:'images/btnBack.png',
	backgroundSelectedImage:'images/btnDownBack.png',
});

var btnHomeButtonATM = Titanium.UI.createButton({
	top:5,
	right:10,
	width:36,
	height:30,
	backgroundImage:'images/btnHome.png',
	backgroundSelectedImage:'images/btnDownHome.png',
});

var btnBackButtonReload = Titanium.UI.createButton({
	top:5,
	left:10,
	width:42,
	height:30,
	backgroundImage:'images/btnBack.png',
	backgroundSelectedImage:'images/btnDownBack.png',
});

var btnHomeButtonReload = Titanium.UI.createButton({
	top:5,
	right:10,
	width:36,
	height:30,
	backgroundImage:'images/btnHome.png',
	backgroundSelectedImage:'images/btnDownHome.png',
});
var lblReloadLocationTitle = Titanium.UI.createLabel({
	height:30,
	top:10,
	text: reloadLocationText,
	font:{fontSize:18, fontFamily:fontName},
	color:'white',
	textAlign:'center'
});

var lblATMLocationTitle = Titanium.UI.createLabel({
	height:30,
	top:10,
	width:platformWidth,
	text: freeATMsText,
	font:{fontSize:18, fontFamily:fontName},
	color:'white',
	textAlign:'center'
});

viewLocationsPlainHeader.add(lblReloadLocationTitle);
viewLocationsPlainHeader.add(btnHomeButtonReload);
viewLocationsPlainHeader.add(btnBackButtonReload);

viewATMPlainHeader.add(lblATMLocationTitle);
viewATMPlainHeader.add(btnBackButtonATM);
viewATMPlainHeader.add(btnHomeButtonATM);




// view for finding
var viewFindReloadLocation = Titanium.UI.createScrollView({
	top:10,
 	contentHeight:400,
	showVerticalScrollIndicator:false,
	showHorizontalScrollIndicator:false,
	disableBounce:true
});
var viewInsideFindReloadLocation = Titanium.UI.createView({
	height:550,
	top:60,
});
viewFindReloadLocation.add(viewInsideFindReloadLocation);
var lblReloadLocationNear = Titanium.UI.createLabel({
	height:30,
	top:0,
	text: reloadLocationNearText,
	textAlign:'center',
	font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'},
	color:'black'
});

var lblATMLocationNear = Titanium.UI.createLabel({
	height:30,
	top:0,
	text: ATMLocationNearText,
	textAlign:'center',
	font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'},
	color:'black'
});

var lblLocationNear = Titanium.UI.createLabel({
	height:30,
	top:30,
	text: useLocationText,
	font:{fontSize:14, fontFamily:fontName},
	color:'black'
});

//current Location
var btnUseCurrentLocation = Titanium.UI.createButton({
	title: useCurrentLocationText,
	color:'white',
	font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'},
	backgroundImage:'images/btnOrange.png',
	backgroundSelectedImage:'images/btnDownOrange.png',
	top: 55,
	width:200,
	height:40
});

//textfield for entering address/zip for finding ATM's or Reload Location
if(Titanium.Platform.name == 'android') {
	var txtLocationInfo = Titanium.UI.createTextField({
		height:45,
		top:140,
		width:150,
		left:20,
		hintText: 'Zip Code',
		keyboardType:Titanium.UI.KEYBOARD_NUMBER_PAD,
		font:{fontSize:16, fontFamily:fontName},
		color:'#3E3E3E'
	});
} else if (Titanium.Platform.name == 'iPhone OS') {
	var txtLocationInfo = Titanium.UI.createTextField({
		height:40,
		top:140,
		width:150,
		left:20,
		hintText: 'Zip Code',
		font:{fontSize:16, fontFamily:fontName },
		color:'#3E3E3E',
		//borderColor:'#777777',
		//border:1,
		keyboardType:Titanium.UI.KEYBOARD_NUMBER_PAD,
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
	});
}
//find by zip btn
var btnFindAddress = Titanium.UI.createButton({
	title: 'Find By Zip',
	height:45,
	width:100,
	top:140,
	right:20,
	color:'white',
	font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'},
	backgroundImage:'images/btnOrange.png',
	backgroundSelectedImage:'images/btnDownOrange.png'
});

var lblOr = Titanium.UI.createLabel({
	height:32,
	top:100,
	text: orText,
	width:35,
	backgroundColor:'white',
	font:{fontSize:16, fontFamily:fontName},
	color:'black',
	textAlign:'center'
});

var lblBar3 = Titanium.UI.createView({
	height:1,
	width:300,
	border:1,
	borderColor:'#9C9C9C',
	top:115
});
var lblOr2 = Titanium.UI.createLabel({
	height:32,
	top:180,
	text: orText,
	width:35,
	backgroundColor:'white',
	font:{fontSize:16, fontFamily:fontName},
	color:'black',
	textAlign:'center'
});

var lblBar4 = Titanium.UI.createView({
	height:1,
	width:300,
	border:1,
	borderColor:'#9C9C9C',
	top:195
});
//city
if(Titanium.Platform.name == 'android') {
	var txtCity = Titanium.UI.createTextField({
		height:45,
		top:220,
		width:190,
		left:10,
		hintText: 'City',
		color:'#3E3E3E'
	});
} else if (Titanium.Platform.name == 'iPhone OS') {
	var txtCity = Titanium.UI.createTextField({
		height:40,
		top:220,
		width:190,
		left:10,
		hintText: 'City',
		color:'#3E3E3E',
		//borderColor:'#777777',
		//border:1,
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
	});
}

//state
if(Titanium.Platform.name == 'android') {
	var pkrState = Titanium.UI.createPicker({
		height:40,
		top:220,
		width:85,
		right:10
	});	
	var pickerData = [];
	for (var sc=0; sc < stateList.length; sc++) {
		pickerData[sc] = Titanium.UI.createPickerRow({title: stateAbrList[sc]});
	}
} else if (Titanium.Platform.name == 'iPhone OS') {
	var tr = Titanium.UI.create2DMatrix();
	tr=tr.rotate(90);

	var btnDropDown = Titanium.UI.createButton({
		style:Titanium.UI.iPhone.SystemButton.DISCLOSURE,
		transform:tr
	});
	var txtState = Titanium.UI.createTextField({
		height:40,
		top:220,
		width:85,
		right:10,
		hintText: 'State',
		color:'#3E3E3E',
		rightButton:btnDropDown,
		editable:false,
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
	});
	var lblBlankState = Titanium.UI.createLabel({
		height:40,
		top:220,
		width:85,
		right:10
	});
	var viewPicker = Titanium.UI.createView({
		height:251,
		bottom:0
	});
	//create the picker
	var pkrState = Titanium.UI.createPicker({
		top:43
	});
	pkrState.selectionIndicator = true;
	
	var cancelPicker = Titanium.UI.createButton({
		title:'Cancel',
		style:Ti.UI.iPhone.SystemButtonStyle.BORDERED
	});
	var donePicker = Titanium.UI.createButton({
		title:'Done',
		style:Ti.UI.iPhone.SystemButtonStyle.DONE
	});
	var spacer = Titanium.UI.createButton({
		systemButton:Ti.UI.iPhone.SystemButton.FLEXIBLE_SPACE
	});
	
	//create the tool bar 
	var tbPicker = Titanium.UI.createToolbar({
		top:0,
		items:[cancelPicker, spacer, donePicker]
	});
var pickerData = [];
for (var sc=0; sc < stateList.length; sc++) {
	pickerData[sc] = Titanium.UI.createPickerRow({title: stateList[sc], custom_item: stateAbrList[sc]});
}

}
if(Ti.Platform.name == 'iPhone OS') {
	//find by zip btn
	var btnFindCity = Titanium.UI.createButton({
		title: 'Find By City/State',
		height:45,
		width:150,
		top:270,
		color:'white',
		font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'},
		backgroundImage:'images/btnOrange.png',
		backgroundSelectedImage:'images/btnDownOrange.png',
	});
} else if(Ti.Platform.name == 'android') {
	//find by zip btn
	var btnFindCity = Titanium.UI.createButton({
		title: 'Find By City/State',
		height:45,
		width:160,
		top:270,
		color:'white',
		font:{fontSize:16, fontFamily:fontName, fontWeight:'bold'},
		backgroundImage:'images/btnOrange.png',
		backgroundSelectedImage:'images/btnDownOrange.png'
	});
}



pkrState.add(pickerData);
viewInsideFindReloadLocation.add(lblReloadLocationNear);
viewInsideFindReloadLocation.add(lblATMLocationNear);
viewInsideFindReloadLocation.add(btnUseCurrentLocation);

viewInsideFindReloadLocation.add(btnFindAddress);
viewInsideFindReloadLocation.add(lblBar3);
viewInsideFindReloadLocation.add(lblOr);
viewInsideFindReloadLocation.add(lblBar4);
viewInsideFindReloadLocation.add(lblOr2);
viewInsideFindReloadLocation.add(txtLocationInfo);
viewInsideFindReloadLocation.add(txtCity);
if (Titanium.Platform.name == 'iPhone OS') {
	
	viewPicker.add(tbPicker);
	viewPicker.add(pkrState);
	viewInsideFindReloadLocation.add(txtState);
	viewInsideFindReloadLocation.add(lblBlankState);
	viewFindReloadLocation.add(viewPicker);
} else if (Ti.Platform.name == 'android') {
	viewInsideFindReloadLocation.add(pkrState);
}

viewInsideFindReloadLocation.add(btnFindCity);



//----
//moneypak map view
//----	
var mapLocations = Titanium.Map.createView({
	mapType: Titanium.Map.STANDARD_TYPE,
	animate:true,
	regionFit:true,
	userLocation:true,
	height:platformHeight * 0.8
});

//---
// view for written directions
//---
var viewWrittenDirections = Titanium.UI.createView({
	top:70
});

// Destination Location view
var viewGrayBalanceLocation = Titanium.UI.createView({
	top:0,
	width:296,
	height:75,
	backgroundImage:'images/bgGrey.png',
});

var lblLocationFrom = Titanium.UI.createLabel({
	text:fromText,
	font:{fontSize:14, fontFamily:fontName, fontWeight:'bold'},
	top:0,
	left:10,
	height:15,
	width:50,
	color:'#000'
});
var lblLocationHeader = Titanium.UI.createLabel({
	text:'Current Location',
	font:{fontSize:16, fontFamily:fontName},
	top:0,
	left:60,
	height:15,
	width:120,
	color:'#000'
});
var lblLocationTo = Titanium.UI.createLabel({
	text:toText,
	font:{fontSize:14, fontFamily:fontName, fontWeight:'bold'},
	top:20,
	left:10,
	height:15,
	width:30,
	color:'#000'
});
var lblLocationAddress = Titanium.UI.createLabel({
	text:'Location Address',
	font:{fontSize:14, fontFamily:fontName},
	top:20,
	left:40,
	height:15,
	width:200,
	color:'#000'
});
var lblDistance = Titanium.UI.createLabel({
	text: distanceText + '1.7 mi'+ '  |  ' + estTimeText + '6 min',
	font:{fontSize:14, fontFamily:fontName},
	top:50,
	left:10,
	height:15,
	width:250,
	color:'#000'
});

//add objects to gray location view
viewGrayBalanceLocation.add(lblLocationFrom);
viewGrayBalanceLocation.add(lblLocationHeader);
viewGrayBalanceLocation.add(lblLocationTo);
viewGrayBalanceLocation.add(lblLocationAddress);
viewGrayBalanceLocation.add(lblDistance);

var lblData1 = Titanium.UI.createLabel({
	height:20,
	text:'1.',
	color:'#000',
	font:{fontSize:15, fontFamily:fontName},
	left: 10
});

var lblData2 = Titanium.UI.createLabel({
	height:20,
	text:'Directions Step',
	color:'#000',
	font:{fontSize:15, fontFamily:fontName},
	left: 40
});
var lblData3 = Titanium.UI.createLabel({
	height:20,
	text:'0.5 mi',
	color:'#000',
	font:{fontSize:15, fontFamily:fontName},
	left:260
});
var tbViewRows = [];
//step 1
//TODO: replace with actual steps
tbViewRows[0] = Titanium.UI.createTableViewRow({
	hasChild: false
});

tbViewRows[0].add(lblData1);
tbViewRows[0].add(lblData2);
tbViewRows[0].add(lblData3);

var lblData4 = Titanium.UI.createLabel({
	height:20,
	text:'2.',
	color:'#000',
	font:{fontSize:15, fontFamily:fontName},
	left: 10
});
var lblData5 = Titanium.UI.createLabel({
	height:20,
	text:'Directions Step',
	color:'#000',
	font:{fontSize:15, fontFamily:fontName},
	left: 40
});
var lblData6 = Titanium.UI.createLabel({
	height:20,
	text:'0.5 mi',
	color:'#000',
	font:{fontSize:15, fontFamily:fontName},
	left:260
});
tbViewRows[1] = Titanium.UI.createTableViewRow({
	hasChild: false
});

tbViewRows[1].add(lblData4);
tbViewRows[1].add(lblData5);
tbViewRows[1].add(lblData6);

var viewStepByStepDirections = Titanium.UI.createTableView({
	top:90,
	data:tbViewRows
});

//get directions view
var viewGetDirections = Titanium.UI.createView({
	top:70
});

var lblDirectionsFrom = Titanium.UI.createLabel({
	top:10,
	left:60,
	color:'#000',
	text:giveDirectionsText,
	font:{fontSize:14, fontFamily:fontName, fontWeight:'bold'},
	textAlign:'left',
	height:20
});

//from textfield if block for android and iphone display
if (Titanium.Platform.name == 'android') {
	var txtDirectionsFrom = Titanium.UI.createTextField({
		width: 200,
		color: '#3E3E3E',
		top: 30,
		left: 60,
		value: useCurrentLocationText,
		font: {
			fontSize: 12,
			fontFamily: fontName
		},
		height: 35
	});
} else if(Titanium.Platform.name == 'iPhone OS') {
	var txtDirectionsFrom = Titanium.UI.createTextField({
		width: 200,
		color: '#3E3E3E',
		top: 30,
		left: 60,
		border:1,
		borderColor:'#777777',
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
		value: useCurrentLocationText,
		font: {
			fontSize: 12,
			fontFamily: fontName
		},
		height: 35
	});
}

var lblDirectionsTo = Titanium.UI.createLabel({
	top:75,
	left:60,
	color:'#000',
	text:toText,
	font:{fontSize:14, fontFamily:fontName, fontWeight:'bold'},
	textAlign:'left',
	height:20
});

if (Titanium.Platform.name == 'android') {
	var txtDirectionsTo = Titanium.UI.createTextField({
		width: 200,
		color: '#3E3E3E',
		top: 95,
		left: 60,
		value: "Destination Address",
		font: {
			fontSize: 12,
			fontFamily: fontName
		},
		height: 35
	});
} else if(Titanium.Platform.name == 'iPhone OS') {
	var txtDirectionsTo = Titanium.UI.createTextField({
		width: 200,
		color: '#3E3E3E',
		top: 95,
		left: 60,
		border:1,
		borderColor:'#777777',
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
		value: "Destination Address",
		font: {
			fontSize: 12,
			fontFamily: fontName
		},
		height: 35
	});
}

var btnOrangeGetDirections = Titanium.UI.createButton({
	title: getDirectionsText,
	height:35,
	width:190,
	top:150,
	color:'white',
	font:{fontSize:15, fontFamily:fontName, fontWeight:'bold'},
	backgroundImage:'images/btnOrange.png',
	backgroundSelectedImage:'images/btnDownOrange.png',
});

//add objects to getDirections view
viewGetDirections.add(lblDirectionsFrom);
viewGetDirections.add(txtDirectionsFrom);
viewGetDirections.add(lblDirectionsTo);
viewGetDirections.add(txtDirectionsTo);
viewGetDirections.add(btnOrangeGetDirections);

var locLabelList = [];
var addressLabelList = [];
var distLabelList = [];
var locViewList = [];

var lblLocationData1 = Titanium.UI.createLabel({
	height:20,
	text:'Location',
	color:'#000',
	font:{fontSize:10, fontFamily:fontName, fontWeight:'bold'},
	left: 10,
	top:0
});
var lblLocationData2 = Titanium.UI.createLabel({
	height:20,
	text:'Location Address',
	color:'#000',
	font:{fontSize:10, fontFamily:fontName},
	left: 10,
	width:180,
	top:20
});
var lblLocationData3 = Titanium.UI.createLabel({
	height:20,
	text:'0.5 mi',
	color:'#000',
	font:{fontSize:10, fontFamily:fontName},
	left:260
});
var tbRowLocationRows = [];
tbRowLocationRows[0] = Titanium.UI.createTableViewRow({
	hasChild:true
});

tbRowLocationRows[0].add(lblLocationData1);
tbRowLocationRows[0].add(lblLocationData2);
tbRowLocationRows[0].add(lblLocationData3);

var viewLocationList = Titanium.UI.createTableView({
	top:70,
	bottom:50
});

	
//add objects to written direction view
viewWrittenDirections.add(viewGrayBalanceLocation);
viewWrittenDirections.add(viewStepByStepDirections);

//---
// view for list of locations
//---
var viewMoneyPakLocations = Titanium.UI.createTableView({
	top:120
});


//-----
//footer buttons
//-----
var btnViewDirections = Titanium.UI.createButton({
	title: viewDirectionsText,
	height:47,
	width:platformWidth,
	bottom:0,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	textAlign:'left'	
});

var btnGreenGetDirections = Titanium.UI.createButton({
	title: getDirectionsText2,
	height:47,
	width:platformWidth,
	bottom:0,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	textAlign:'left'	
});

var btnViewResults = Titanium.UI.createButton({
	title: viewResultsText,
	height:47,
	width:platformWidth,
	bottom:0,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	textAlign:'left'	
});

var btnViewMapLocations = Titanium.UI.createButton({
	title: viewMapText,
	height:47,
	width:platformWidth,
	bottom:0,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	textAlign:'left'	
});

var btnViewMapRoute = Titanium.UI.createButton({
	title: viewMapText,
	height:47,
	width:platformWidth,
	bottom:0,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	textAlign:'left'	
});
