/**
 * @author ryucha
 * Screen display for Monthly Charge Waiver
 */
var winWaiveCharge = Titanium.UI.createView({});
windowsMap.waiveChargeScreen = winWaiveCharge;
winHub.add(winWaiveCharge);

//header
var viewWaivePlainHeader = Titanium.UI.createView({
	top:0,
	height:'70',
	backgroundColor: 'transparent',
	backgroundImage:'images/plainHeader.png',
	opacity:1.0,	
	align:'center'
});
var btnBackButtonW = Titanium.UI.createButton({
	top:5,
	left:10,
	width:42,
	height:30,
	backgroundImage:'images/btnBack.png',
	backgroundSelectedImage:'images/btnDownBack.png',
});

var btnHomeButtonW = Titanium.UI.createButton({
	top:5,
	right:10,
	width:36,
	height:30,
	backgroundImage:'images/btnHome.png',
	backgroundSelectedImage:'images/btnDownHome.png',
});

var lblWaiveChargesTitle = Titanium.UI.createLabel({
	height:30,
	top:5,
	text:waiveChargeTitleText,
	font:{fontSize:18, fontFamily:fontName},
	color:'white',
	textAlign:'center' 
});

viewWaivePlainHeader.add(btnBackButtonW);
viewWaivePlainHeader.add(btnHomeButtonW);
viewWaivePlainHeader.add(lblWaiveChargesTitle);

var viewWaiveQuestion = Titanium.UI.createView({
	top:70
});

var lblWaiveChargeQuestion = Titanium.UI.createLabel({
	text: waiveChargeQuestionText,
	top:0,
	left:10,
	textAlign:'left',
	height:25,
	color:'#000',
	font:{fontSize:15, fontFamily:fontName, fontWeight:'bold'}
});

var lblWaiveChargeReq = Titanium.UI.createLabel({
	text: waiveChargeReqText,
	top:25,
	left:10,
	textAlign:'left',
	height:50,
	color:'#000',
	font:{fontSize:16, fontFamily:fontName}
});

var lblAmountLoaded = Titanium.UI.createLabel({
	text: amountloadedText,
	top:78,
	left:10,
	width:200,
	textAlign:'left',
	height:20,
	color:'#000',
	font:{fontSize:15, fontFamily:fontName}
});
if (Ti.Platform.name == 'iPhone OS') {
	var lblAmountLoadedData = Titanium.UI.createLabel({
		text: '$860.05',
		top: 110,
		left: 75,
		width: 200,
		textAlign: 'left',
		height: 20,
		color: '#000',
		font: {
			fontSize: 18,
			fontFamily: fontName,
			fontWeight: 'bold'
		}
	});
} else if (Ti.Platform.name == 'android') {
	var lblAmountLoadedData = Titanium.UI.createLabel({
		text: '$860.05',
		top: 107,
		left: 90,
		width: 200,
		textAlign: 'left',
		height: 20,
		color: '#000',
		font: {
			fontSize: 18,
			fontFamily: fontName,
			fontWeight: 'bold'
		}
	});
}
var lblNumberPurchase = Titanium.UI.createLabel({
	text: numofPurchasesText,
	top:145,
	left:10,
	width:250,
	textAlign:'left',
	height:20,
	color:'#000',
	font:{fontSize:15, fontFamily:fontName}
});

var lblPurchasesData = Titanium.UI.createLabel({
	text: '6',
	top:180,
	left:100,
	width:70,
	textAlign:'left',
	height:20,
	color:'#000',
	font:{fontSize:18, fontFamily:fontName, fontWeight:'bold'}
});

var pbarAmount = Titanium.UI.createView({
	top: 105,
	width: 200,
	height: 30,
	left: 10,
	borderWidth:1,
	borderColor:'#C0C0C0',
	backgroundImage:'images/sliderRight.png'
});
var pbarAmountFill = Titanium.UI.createView({
	top:105,
	width:60,
	height:30,
	left:10,
	backgroundImage:'images/sliderLeft.png'
});

var lbl1000 = Titanium.UI.createLabel({
	top:107,
	left:230,
	width:50,
	height:40,
	color:'#000',
	font:{fontSize:16, fontFamily: fontName},
	text: '$1000',	
	textAlign:'Left'
});

var pbarPurchases = Titanium.UI.createView({
	top:175,
	width:200,
	height:30,
	left:10,
	borderWidth:1,
	borderColor:'#C0C0C0',
	backgroundImage:'images/sliderRight.png'
});
var pBarViewFill = Titanium.UI.createView({
	top:175,
	width:60,
	height:30,
	left:10,
	backgroundImage:'images/sliderLeft.png'
	//backgroundColor:'#7AC144'
});

var lblClearCover = Ti.UI.createLabel({
	top:100,
	height:200,
	width:200,
	left:10
});

var lbl30 = Titanium.UI.createLabel({
	top:175,
	left:230,
	width:30,
	height:40,
	color:'#000',
	font:{fontSize:14, fontFamily: fontName},
	text: '30',	
	textAlign:'Left'
});

var viewDaysLeft = Titanium.UI.createView({
	top:220,
	left:10,
	height:25,
	width:25,
	border:1,
	borderColor:'#3E3E3E'
});

var lblRedSquare = Titanium.UI.createLabel({
	top:1,
	left:1,
	backgroundColor:'red',
	height:7,
	width:23
});

lblCalendar = Titanium.UI.createLabel({
	top:5,
	left:1,
	width:23,
	height:19,
	color:'#000',
	backgroundColor:'#fff',
	font:{fontSize:15, fontFamily: fontName, fontWeight:'bold'},
	text: daysText,	
	textAlign:'center'
});

viewDaysLeft.add(lblRedSquare);
viewDaysLeft.add(lblCalendar);

var lblDaysLeft = Titanium.UI.createLabel({
	top:225,
	left:50,
	width:230,
	height:45,
	color:'#000',
	font:{fontSize:14, fontFamily: fontName},
	text: daysLeftText,	
	textAlign:'Left'
});

var lblBillingCycle = Titanium.UI.createLabel({
	top:250,
	left:10,
	width:70,
	height:40,
	color:'#000',
	font:{fontSize:12, fontFamily: fontName},
	text: billingCycleText,
	textAlign:'Left'
});

var lblBillingCycleData = Titanium.UI.createLabel({
	top:250,
	left:85,
	width:100,
	height:40,
	color:'#000',
	font:{fontSize:12, fontFamily: fontName},
	text: 'Mar.1-Apr.1',
	textAlign:'Left'
});
if (Titanium.Platform.name == 'iPhone OS') {
	var lblIncludesPurchases = Titanium.UI.createLabel({
		text: includePurchasesText,
		height: 80,
		width: 'auto',
		color: '000',
		font: {
			fontSize: 12,
			fontStyle: 'italic'
		},
		bottom: 10,
		left: 10,
		right: 10,
		textAlign: 'left'
	});
} else if (Titanium.Platform.name =='android') {
	var lblIncludesPurchases = Titanium.UI.createLabel({
		height: 80,
		width: 'auto',
		color: '000',
		font: {
			fontSize: 12,
			fontStyle: 'italic'
		},
		bottom: 10,
		left: 10,
		right: 10,
		html: '<html><body><i><font color="#000000">' + includePurchasesText + '</font></i></body></html>',
		textAlign: 'left'
	});
}

// add to view
viewWaiveQuestion.add(lblWaiveChargeQuestion);
viewWaiveQuestion.add(lblWaiveChargeReq);
viewWaiveQuestion.add(lblAmountLoaded);
viewWaiveQuestion.add(lbl1000);
viewWaiveQuestion.add(pbarAmount);


viewWaiveQuestion.add(lblNumberPurchase);
viewWaiveQuestion.add(lbl30);
viewWaiveQuestion.add(pbarPurchases);

	viewWaiveQuestion.add(pBarViewFill);
	viewWaiveQuestion.add(pbarAmountFill);

viewWaiveQuestion.add(lblPurchasesData);
viewWaiveQuestion.add(lblClearCover);
viewWaiveQuestion.add(lblAmountLoadedData);
viewWaiveQuestion.add(viewDaysLeft);
viewWaiveQuestion.add(lblDaysLeft);
viewWaiveQuestion.add(lblBillingCycle);
viewWaiveQuestion.add(lblBillingCycleData);
viewWaiveQuestion.add(lblIncludesPurchases);

// needs this to make progressbar visible
pbarAmount.show();
pbarPurchases.show();

//add items to window
winWaiveCharge.add(viewWaivePlainHeader);

winWaiveCharge.add(viewWaiveQuestion);
