/**
 * @author ryucha
 * 
 */
//Login container that holds all the textboxes and labels and buttons
if (Ti.Platform.name == 'android') {
	var viewLogin = Titanium.UI.createView({
		background: mainBackgroundColor,
		top:0,
		backgroundImage:'images/bgGreenGradient.png',
		softKeyboardOnFocus: Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS,
		height: platformHeight
	});
} else if (Ti.Platform.name == 'iPhone OS' ) {
	var viewLogin = Titanium.UI.createView({
		background: mainBackgroundColor,
		top:0,
		backgroundImage:'images/bgGreenGradient.png',
		height: platformHeight
	});
}


if (Ti.Platform.name == 'android') {
	var txtUserId = Titanium.UI.createTextField({
		hintText: userIdText,
		height:45,
		width:200,
		top:85,
		color:'#3E3E3E',
		backgroundColor:'white',
		autocorrect:false,
		clearOnEdit:true,
		autocapitalization:Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
		font:{fontSize:16, fontFamily: fontName},
		keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_BEZEL,
		borderColor:'#7AC144',
		borderWidth:1
	});
} else if (Ti.Platform.name == 'iPhone OS') {
	var txtUserId = Titanium.UI.createTextField({
		hintText: userIdText,
		height:45,
		width:200,
		top:85,
		color:'#3E3E3E',
		backgroundColor:'white',
		autocorrect:false,
		clearOnEdit:true,
		autocapitalization:Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
		font:{fontSize:15, fontFamily: fontName},
		keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_BEZEL,
		borderColor:'#7AC144'
	});
}

if (Ti.Platform.name == 'android') {
	var txtPassword = Titanium.UI.createTextField({
		height: 45,
		top: 135,
		width: 200,
		color: '#3E3E3E',
		hintText: passwordText,
		//clearOnEdit: true,
		autocorrect: false,
		passwordMask: true,
		//autocapitalization: Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
		//keyboardType: Titanium.UI.KEYBOARD_URL,
		backgroundColor: 'white',
		font: {
			fontSize: 16,
			fontFamily: fontName
		},
		borderStyle: Titanium.UI.INPUT_BORDERSTYLE_BEZEL,
		softKeyboardOnFocus: Ti.UI.Android.SOFT_KEYBOARD_SHOW_ON_FOCUS,
		borderColor: '#7AC144',
		borderWidth:1
	});
} else if (Ti.Platform.name == 'iPhone OS') {
	var txtPassword = Titanium.UI.createTextField({
		height: 45,
		top: 135,
		width: 200,
		color: '#3E3E3E',
		hintText: passwordText,
		clearOnEdit: true,
		autocorrect: false,
		passwordMask: true,
		autocapitalization: Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
		keyboardType: Titanium.UI.KEYBOARD_DEFAULT,
		backgroundColor: 'white',
		font: {
			fontSize: 15,
			fontFamily: fontName
		},
		borderStyle: Titanium.UI.INPUT_BORDERSTYLE_BEZEL,
		borderColor: '#7AC144'
	});
	}
//Login Button
var btnLogin = Titanium.UI.createButton({
	title: loginText,
	height:35,
	width:100,
	top:190,
	color:'white',
	font:{fontSize:18, fontFamily:fontName, fontWeight:'bold'},
	backgroundImage:'images/btnOrange.png',
	backgroundSelectedImage:'images/btnDownOrange.png',
});

if (Titanium.Platform.name == 'iPhone OS') {
	var lblRemember = Titanium.UI.createLabel({
	id:'RememberLabel',
	text: rememberMobileText,
	width:200,
	height:35,
	top:230,
	left:135,
	color:'#154925',
	font:{fontSize:16, fontFamily: fontName},
	textAlign:'left'
});
	var swchRemember = Titanium.UI.createSwitch({
		//value:false,
		left:30,
		top:235
	});
} else if (Titanium.Platform.name == 'android') {
	var lblRemember = Titanium.UI.createLabel({
		id:'RememberLabel',
		text: rememberMobileText,
		width:200,
		height:35,
		top:232,
		left:100,
		color:'#154925',
		font:{fontSize:16, fontFamily: fontName},
		textAlign:'left'
	});
	var swchRemember = Titanium.UI.createSwitch({
		//value:false,
		left:58,
		top:225,
		style:Titanium.UI.Android.SWITCH_STYLE_CHECKBOX
	});
}

if (Titanium.Platform.name == 'Android'){
	txtUserId.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_SHOW_ON_FOCUS;
	txtPassword.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_SHOW_ON_FOCUS;
	viewLogin.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS;
}



viewLogin.add(txtUserId);
viewLogin.add(txtPassword);
viewLogin.add(swchRemember);
viewLogin.add(lblRemember);
viewLogin.add(btnLogin);

