/**
 * @author ryucha
 */
var viewMenu = Titanium.UI.createView({
	backgroundColor:'white',
	bottom:0,
	height:320,
	width:platformWidth
});
var menuOffset = 0;
if (msPremierAccount == true) {
	menuOffset = 47;
}
if(Titanium.Platform.name == 'iPhone OS') {
	var lbl15MinNote = Titanium.UI.createLabel({
		text: note15MinText,
		font:{fontSize:12, fontStyle:'italic'},
		left:20,
		top:0,
		height:35,
		color:'#000'
	});
} else if (Titanium.Platform.name == 'android') {
	var lbl15MinNote = Titanium.UI.createLabel({
		html: '<html><body><i><font color="#000000"> ' + note15MinText + '</font></i></body></html>',
		font:{fontSize:12, fontFamily: fontName, fontStyle:'italic'},
		left:10,
		right:10,
		top:0,
		height:35,
		color:'#000'
	});
}

var btnViewTransactions = Titanium.UI.createButton({
	title:viewTransText,
	height:47,
	top:38 + menuOffset,
	width:platformWidth,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	textAlign:'left'
});
var btnAddMoney = Titanium.UI.createButton({
	title: addMoneyText,
	height:47,
	top:85+ menuOffset,
	width:platformWidth,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	textAlign:'left'	
});
var btnFindLocation = Titanium.UI.createButton({
	title: findATMsText,
	top:132+ menuOffset,
	height:47,
	width:platformWidth,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	style:Titanium.UI.iPhone.SystemButtonStyle.PLAIN,
	textAlign:'left'	
});
var btnFindReload = Titanium.UI.createButton({
	title: locationsText,
	top:179+ menuOffset,
	height:47,
	width:platformWidth,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	style:Titanium.UI.iPhone.SystemButtonStyle.PLAIN,
	textAlign:'left'	
});
var btnWaiveFee = Titanium.UI.createButton({
	title: waiveFeeText,
	top:226+ menuOffset,
	height:47,
	width:platformWidth,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	style:Titanium.UI.iPhone.SystemButtonStyle.PLAIN,
	textAlign:'left'	
});
var btnCallCustomerCare = Titanium.UI.createButton({
	title:custCareText,
	height:47,
	bottom:0,
	width:platformWidth,
	color:'white',
	font:{fontSize:18, fontFamily: fontName},
	backgroundImage:'images/blankButtonWithArrow.png',
	backgroundSelectedImage:'images/btnDownGreen.png',
	textAlign:'left'
});


//add items to the view
viewMenu.add(lbl15MinNote);
viewMenu.add(btnViewTransactions);
viewMenu.add(btnAddMoney);
viewMenu.add(btnFindLocation);
viewMenu.add(btnFindReload);
if (msPremierAccount == false) {
	viewMenu.add(btnWaiveFee);
}
viewMenu.add(btnCallCustomerCare);



