/**
 * @author ryucha
 */
var winSecurityScreen = Titanium.UI.createView({});
windowsMap.securityScreen = winSecurityScreen;
winHub.add(winSecurityScreen);
if( Ti.Platform.name == 'android') {
	var viewSecurity = Titanium.UI.createView({
		backgroundImage:'images/bgGreenGradient.png',
		top:0,
		height:platformHeight,
		width: platformWidth,
		softKeyboardOnFocus: Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS, 
	});
	
	var viewSecurity2 = Titanium.UI.createView({
		top:60,
		height:280,
		width: platformWidth * 0.8,
		softKeyboardOnFocus: Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS,
	});
} else if (Ti.Platform.name == 'iPhone OS') {
	var viewSecurity = Titanium.UI.createView({
		backgroundImage:'images/bgGreenGradient.png',
		top:0,
		height:platformHeight,
		width: platformWidth	
	});
	
	var viewSecurity2 = Titanium.UI.createView({
		top:60,
		height:280,
		width: platformWidth * 0.8
	});
}


var lblSecurityText = Titanium.UI.createLabel({
	id:'SecurityLabel',
	text: securityText,
	width:250,
	height:45,
	top:25,
	left:0,
	font:{fontSize:18, fontFamily:fontName},
	color:'#000',
	textAlign:'left'
});

var lblQuestion = Titanium.UI.createLabel({
	text: qText,
	width:200,
	height:35,
	top:80,
	font:{fontSize:18, fontFamily:fontName},
	left:0,
	color:'#000',
	textAlign:'000'
});
var lblSecurityQuestionOrigId = Titanium.UI.createLabel({
	text: "",
	visible: false
});
var lblSecurityQuestionId = Titanium.UI.createLabel({
	text: "",
	visible: false
});
var lblSecurityQuestion = Titanium.UI.createLabel({
	text: "Question 1aasdfffff asdfasdf asdfasdfasdf asdfasdfasdf",
	width:225,
	height:50,
	top:70,
	font:{fontSize:16, fontFamily:fontName},
	left:25,
	color:'#000',
	textAlign:'left'
});

var lblAnswer = Titanium.UI.createLabel({
	text: aText,
	width:200,
	height:35,
	top:140,
	font:{fontSize:16, fontFamily:fontName},
	left:0,
	color:'#000',
	textAlign:'left'
});

var txtAnswer = Titanium.UI.createTextField({
	height: 45,
	width: 200,
	top: 140,
	left: 20,
	passwordMask: true,
	font: {
		fontSize: 15
	},
	font: {
		fontSize: 18,
		fontFamily: fontName
	},
	backgroundColor: '#fff',
	autocorrect: false,
	borderStyle: Titanium.UI.INPUT_BORDERSTYLE_BEZEL,
	borderColor: '#7AC144',
	borderWidth: 1		
});

var btnQuestionSubmit = Titanium.UI.createButton({
	title: submitText,
	height: 35,
	width: 100,
	bottom: 0,
	color: '#fff',
	backgroundImage: 'images/btnOrange.png',
	backgroundSelectedImage: 'images/btnDownOrange.png',
	font: {
		fontSize: 18,
		fontFamily: fontName,
		fontWeight: 'bold'
	},
	backgroundColor: '#48B43A',
	backgroundSelectedColor: '#48B43A'
});

if (Titanium.Platform.name == 'Android'){
	txtAnswer.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_SHOW_ON_FOCUS;
	viewSecurity.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS;
	viewPlainHeader.softKeyboardOnFocus = Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS;
}

viewSecurity2.add(lblSecurityText);
viewSecurity2.add(lblQuestion);
viewSecurity2.add(lblSecurityQuestion);
viewSecurity2.add(lblAnswer);
viewSecurity2.add(txtAnswer);
viewSecurity2.add(btnQuestionSubmit);

viewSecurity.add(viewSecurity2);

winSecurityScreen.add(viewSecurity);
winSecurityScreen.add(viewHeaderSecurity);

