/**
 * @author ryucha
 * Account Balance Screen (Home Screen)
 */

var winTransactionScreen = Titanium.UI.createView({});

windowsMap.transactionScreen = winTransactionScreen;
winHub.add(winTransactionScreen);

 var viewTransactionPlainHeader = Titanium.UI.createView({
	top:0,
	height:'70',
	backgroundColor: 'transparent',
	backgroundImage:'images/plainHeader.png',
	opacity:1.0,	
	align:'center'
});
var btnBackButtonT = Titanium.UI.createButton({
	top:5,
	left:10,
	width:42,
	height:30,
	backgroundImage:'images/btnBack.png',
	backgroundSelectedImage:'images/btnDownBack.png',
});

var btnHomeButtonT = Titanium.UI.createButton({
	top:5,
	right:10,
	width:36,
	height:30,
	backgroundImage:'images/btnHome.png',
	backgroundSelectedImage:'images/btnDownHome.png',
});

var lblTransactionTitle = Titanium.UI.createLabel({
	height:30,
	top:10,
	text:viewTransTitleText,
	font:{fontSize:18, fontFamily:fontName},
	color:'white',
	textAlign:'center'
});

viewTransactionPlainHeader.add(btnHomeButtonT);
viewTransactionPlainHeader.add(btnBackButtonT);
viewTransactionPlainHeader.add(lblTransactionTitle);

//shows up all the time
var viewGrayBalance = Titanium.UI.createView({
	top:65,
	width:296,
	height:65,
	backgroundImage:'images/bgGrey.png'	
});
var lblAccountBalanceSmall = Titanium.UI.createLabel({
	text:balanceText,
	color:'#000',
	font:{fontSize:14, fontFamily:fontName},
	bottom:15,
	left:10,
	height:35,
	width:75
});
if(Ti.Platform.name == 'iPhone OS') {
	var lblAccountBalanceAmt = Titanium.UI.createLabel({
		text:'$919.76',
		color:'#000',
		font:{fontSize:28, fontFamily:fontName, fontWeight:'bold'},
		bottom:15,
		left:95,
		height:35,
		width:200
	});
} else if (Ti.Platform.name == 'android') {
	var lblAccountBalanceAmt = Titanium.UI.createLabel({
		text:'$919.76',
		color:'#000',
		font:{fontSize:34, fontFamily:fontName, fontWeight:'bold'},
		bottom:15,
		left:95,
		height:45,
		width:200
	});
}


//View specific transaction
var viewSpecificTransaction = Titanium.UI.createView({
	top:132,
	left:10
});

var lblTransDate = Titanium.UI.createLabel({
	text:'Mar. 10, 2011',
	font:{fontSize:22, fontFamily:fontName, fontWeight:'bold'},
	color:'#000',
	height:35,
	top:0,
	left:10,
	textAlign:'left'
});

var lblTransactionItem1 = Titanium.UI.createLabel({
	text:'Walmart',
	font:{fontSize:20, fontFamily:fontName, fontWeight:'bold'},
	color:'#000',
	height:75,
	top:40,
	width:180,
	left:10,
	textAlign:'left'
});

var lblTransactionItem2 = Titanium.UI.createLabel({
	text:'status',
	color:'#000',
	font:{fontSize:14, fontFamily:fontName},
	height:20,
	top:120,
	width:200,
	left:10,
	textAlign:'left'
});
var lblTransactionItem3 = Titanium.UI.createLabel({
	text:'type',
	color:'#000',
	font:{fontSize:14, fontFamily:fontName},
	height:20,
	top:140,
	width:200,
	left:10,
	textAlign:'left'
});
var lblTransactionItem5 = Titanium.UI.createLabel({
	text:'category',
	color:'#000',
	font:{fontSize:14, fontFamily:fontName},
	height:20,
	top:160,
	left:10,
	width:300,	
});
var lblTransactionItem6 = Titanium.UI.createLabel({
	text:'Transaction Date',
	color:'#000',
	font:{fontSize:14, fontFamily:fontName},
	height:20,
	top:180,
	left:10,
	width:200	
});

var lblTransactionItem4 = Titanium.UI.createLabel({
	text:'$9.19',
	color:'#000',
	font:{fontSize:22, fontFamily:fontName, fontWeight:'bold'},
	height:25,
	top:45,
	right:10,
	width:200,
	textAlign:'right'	
});

if (Titanium.Platform.name == 'iPhone OS') {
	var lblTransactionNote = Titanium.UI.createLabel({
		text: moreInfoTransactionText,
		height:70,
		width:'auto',
		color:'000',
		font:{fontSize:12, fontStyle:'italic'},
		bottom:0,
		right:25,
		textAlign:'left'
	});
} else if (Titanium.Platform.name =='android') {
	var lblTransactionNote = Titanium.UI.createLabel({
		height:70,
		width:'auto',
		color:'000',
		font:{fontSize:12, fontStyle:'italic'},
		bottom:0,
		left:10,
		right:10,
		html: '<html><body><i><font color="#000000"> '
		+'Note: For more detailed transaction information along with important disclosures, '
		+'please visit<br> mygreendot.com from your PC. </font></i></body></html>',
		textAlign:'left'
	});
}
//View list of transactions
var txnData = [];

// create table view
var tableview = Titanium.UI.createTableView({
	top:130,
	bottom:60
});

// add objects to specific transaction view
viewSpecificTransaction.add(lblTransDate);
viewSpecificTransaction.add(lblTransactionItem1);
viewSpecificTransaction.add(lblTransactionItem2);
viewSpecificTransaction.add(lblTransactionItem3);
viewSpecificTransaction.add(lblTransactionItem4);
viewSpecificTransaction.add(lblTransactionItem5);
viewSpecificTransaction.add(lblTransactionItem6);
//viewSpecificTransaction.add(lblMoreDetailTransaction);

//add objects to balance view
viewGrayBalance.add(lblAccountBalanceSmall);
viewGrayBalance.add(lblAccountBalanceAmt);


// add table view to the window
winTransactionScreen.add(viewSpecificTransaction);
winTransactionScreen.add(tableview);
winTransactionScreen.add(lblTransactionNote);
winTransactionScreen.add(viewGrayBalance);
winTransactionScreen.add(viewTransactionPlainHeader);
