/**
 * @author chrisb
 */
function UUID(uuidString) {
  while (uuidString.indexOf("-") > -1) {
    uuidString = uuidString.replace("-", "");
  }
  this._uuidString = uuidString;
  this._byteArray = new Array();
  var stringLen = this._uuidString.length;
  var buffer = new Array();
  for (var i = 0; i < stringLen; i+=2) {
    var val = ( (parseInt(this._uuidString.charAt(i), 16) << 4) + (parseInt(this._uuidString.charAt(i+1), 16)) );
    buffer[i/2] = val;

  }
  this._byteArray[0] = buffer[3];
  this._byteArray[1] = buffer[2];
  this._byteArray[2] = buffer[1];
  this._byteArray[3] = buffer[0];

  this._byteArray[4] = buffer[5];
  this._byteArray[5] = buffer[4];

  this._byteArray[6] = buffer[7];
  this._byteArray[7] = buffer[6];

  for (var j = 8; j < 16; j++) {
    this._byteArray[j] = buffer[j];
  }
}

UUID.prototype.display = function() {
  var byteArrayString = "";
  for (var i = 0; i < this._byteArray.length; i++) {
    byteArrayString += this._byteArray[i] + ",";
  }
  alert(byteArrayString);
}
